VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType Class Reference

The `GenericInstantiation.GenericType` enumerated type provides enumeration values for each of the generic types provided by the infrastructure. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, LIST, MAP, OPTIONAL, SET }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static GenericType[] | GetValues ()
static GenericType | ValueOf (string name)
## Static Public Attributes
static readonly GenericType | LIST = new GenericType("LIST", Values.LIST)
| Indicates the generic type is a list.
static readonly GenericType | MAP = new GenericType("MAP", Values.MAP)
| Indicates the generic type is a map.
static readonly GenericType | OPTIONAL = new GenericType("OPTIONAL", Values.OPTIONAL)
| Indicates the generic type is an optional.
static readonly GenericType | SET = new GenericType("SET", Values.SET)
| Indicates the generic type is a set.

## Detailed Description

The `GenericInstantiation.GenericType` enumerated type provides enumeration values for each of the generic types provided by the infrastructure.

## Member Enumeration Documentation

enum vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  LIST | Indicates the generic type is a list.
  MAP | Indicates the generic type is a map.
  OPTIONAL | Indicates the generic type is an optional.
  SET | Indicates the generic type is a set.

## Member Function Documentation

Values vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::GetEnumValue | ( |  | ) | `[inline]`

static GenericType [] vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::IsUnknown | ( |  | ) | `[inline]`

static GenericType vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly GenericType vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::LIST = new GenericType("LIST", Values.LIST)`[static]`

Indicates the generic type is a list.

readonly GenericType vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::MAP = new GenericType("MAP", Values.MAP)`[static]`

Indicates the generic type is a map.

readonly GenericType vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::OPTIONAL = new GenericType("OPTIONAL", Values.OPTIONAL)`[static]`

Indicates the generic type is an optional.

readonly GenericType vmware::vapi::metadata::metamodel::GenericInstantiation::GenericType::SET = new GenericType("SET", Values.SET)`[static]`

Indicates the generic type is a set.

The documentation for this class was generated from the following file:

- GenericInstantiation.cs